<%- include('partials/header', {title: 'Utrácení podle kategorií'}) %>

<div class="row">
    <div class="col">
        <div class="card">
            <div class="card-body">
                <h5 class="card-title">Utrácení podle kategorií</h5>
                <canvas id="chart" style="height: 60vh; width: 100%;"></canvas>
            </div>
        </div>
    </div>
</div>

<%- include('partials/footer') %>
<script src="https://cdn.jsdelivr.net/npm/chart.js@2.8.0/dist/Chart.min.js"></script>
<script src="https://www.chartjs.org/samples/latest/utils.js"></script>
<script>
    var randomScalingFactor = function() {
			return Math.round(Math.random() * 100);
        };
        
		var config = {
			type: 'pie',
			data: {
				datasets: [{
					data: [34,23,5,4,67,4],
					backgroundColor: [
						window.chartColors.red,
						window.chartColors.orange,
						window.chartColors.yellow,
						window.chartColors.green,
						window.chartColors.blue,
						window.chartColors.purple,
					],
					label: 'Kategorie'
				}],
				labels: [<% CONFIG.categories.forEach((item) => { %>'<%= item %>', <% }); %>],
			},
			options: {
				responsive: true,
			}
		};

		window.onload = function() {
			var ctx = document.getElementById('chart').getContext('2d');
			window.myPie = new Chart(ctx, config);
		};
	</script>
<%- include('partials/file-end') %>